<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [HacknetServersFormulas](./bitburner.hacknetserversformulas.md) &gt; [hacknetServerCost](./bitburner.hacknetserversformulas.hacknetservercost.md)

## HacknetServersFormulas.hacknetServerCost() method

Calculate the cost of a hacknet server.

**Signature:**

```typescript
hacknetServerCost(n: number, mult?: number): number;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

n


</td><td>

number


</td><td>

number of the hacknet server


</td></tr>
<tr><td>

mult


</td><td>

number


</td><td>

_(Optional)_ player cost reduction (defaults to 1)


</td></tr>
</tbody></table>

**Returns:**

number

The calculated cost.

